pub use sea_orm_migration::prelude::*;

mod m20230204_001022_create_pages;
mod m20230204_011034_create_posts;
mod m20230204_014834_create_post_blocks;
mod m20230204_014838_create_page_blocks;
mod m20230204_194846_create_menus;
mod m20230204_201059_create_menu_entries;
mod m20230205_022300_create_settings;
mod m20230207_115847_create_images;
mod m20230207_115849_add_featured_image_to_posts;
pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20230204_001022_create_pages::Migration),
            Box::new(m20230204_011034_create_posts::Migration),
            Box::new(m20230204_014834_create_post_blocks::Migration),
            Box::new(m20230204_014838_create_page_blocks::Migration),
            Box::new(m20230204_194846_create_menus::Migration),
            Box::new(m20230204_201059_create_menu_entries::Migration),
            Box::new(m20230205_022300_create_settings::Migration),
            Box::new(m20230207_115847_create_images::Migration),
            Box::new(m20230207_115849_add_featured_image_to_posts::Migration),
        ]
    }
}
