use serde::Deserialize;

use crate::entities::image;

pub enum BlockTypes {
    HR,
    HEADER {
        text: String,
        size: i8,
    },
    PARAGRAPH {
        text: String,
    },
    MARKDOWN {
        content: String,
    },
    HTML {
        content: String,
    },
    IMAGE {
        content: Option<image::Model>
    },
    UNSUPPORTED
}

#[derive(Deserialize)]
pub struct Header {
    pub text: String,
    pub size: i8,
}
